# Created by pyp2rpm-3.3.1
%global pypi_name mutatormath

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        %mkrel 5
Summary:        Python for piecewise linear interpolation in multiple dimensions with multiple, arbitrarily placed, masters
Group:          Development/Python
License:        BSD 3 Clause
URL:            https://github.com/LettError/MutatorMath
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/MutatorMath-%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(defcon) >= 0.3.5
BuildRequires:  python3dist(fontmath) >= 0.4.8
BuildRequires:  python3dist(fonttools) >= 3.32.0
BuildRequires:  python3dist(fs)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(unicodedata2)

%description
MutatorMath is a Python library for the calculation of piecewise linear
interpolations in n-dimensions with any number of masters. It was
developed for interpolating data related to fonts, but if can handle any
arithmetic object.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
MutatorMath is a Python library for the calculation of piecewise linear
interpolations in n-dimensions with any number of masters. It was
developed for interpolating data related to fonts, but if can handle any
arithmetic object.

%prep
%autosetup -n MutatorMath-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mutatorMath

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Mon Jan 15 2024 daviddavid <daviddavid> 3.0.1-5.mga10
+ Revision: 2031338
- rebuild for py3.12
- switch to pyproject

* Sun Mar 27 2022 umeabot <umeabot> 3.0.1-4.mga9
+ Revision: 1829007
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 3.0.1-3.mga9
+ Revision: 1782093
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 3.0.1-2.mga9
+ Revision: 1717486
- rebuild for python 3.9

* Sun Jun 21 2020 wally <wally> 3.0.1-1.mga8
+ Revision: 1598213
- new version 3.0.1

* Tue Feb 18 2020 umeabot <umeabot> 2.1.2-5.mga8
+ Revision: 1541959
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 2.1.2-4.mga8
+ Revision: 1475746
- update (build)requires

* Wed Sep 18 2019 tv <tv> 2.1.2-3.mga8
+ Revision: 1443248
- rebuild for python-3.8

* Mon Aug 19 2019 wally <wally> 2.1.2-2.mga8
+ Revision: 1430048
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 2.1.2-1.mga7
+ Revision: 1353283
- add BRs
- add BRs
- add BRs
- add BRs
- add BRs
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1289216
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 2.1.0-1.mga7
+ Revision: 1226600
- imported package python-mutatormath

